com.holonplatform.vaadin.flow.components.builders

## Interface OptionsModeSingleSelectInputBuilder.PropertyOptionsModeSingleSelectInputConfigurator<T,D extends DatastoreDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,D>,C extends OptionsModeSingleSelectInputBuilder.PropertyOptionsModeSingleSelectInputConfigurator<T,D,C>>

- Type Parameters:
    `T` - Value type
    `D` - Datastore data source configurator type
    `C` - Concrete configurator type
  All Superinterfaces:
    ComponentConfigurator<C>, DeferrableLocalizationConfigurator<C>, HasDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,C>, HasDeferrableLocalization, HasElementConfigurator<C>, HasEnabledConfigurator<C>, HasItemsConfigurator<com.holonplatform.core.property.PropertyBox,C>, HasLabelConfigurator<C>, HasPropertyBoxDatastoreDataProviderConfigurator<D,C>, HasStyleConfigurator<C>, InputConfigurator<T,ValueHolder.ValueChangeEvent<T>,C>, ItemSetConfigurator<C>, OptionsModeSingleSelectInputBuilder<T,com.holonplatform.core.property.PropertyBox,C>, PropertySelectInputConfigurator<T,T,C>, SelectableInputConfigurator<T,T,C>, SingleSelectInputConfigurator<T,com.holonplatform.core.property.PropertyBox,C>
  All Known Subinterfaces:
    OptionsModeSingleSelectInputBuilder.PropertyOptionsModeSingleSelectInputBuilder<T>, OptionsModeSingleSelectInputBuilder.ValidatablePropertyOptionsModeSingleSelectInputBuilder<T>
  Enclosing interface:
    OptionsModeSingleSelectInputBuilder<T,ITEM,B extends OptionsModeSingleSelectInputBuilder<T,ITEM,B>>

      public static interface OptionsModeSingleSelectInputBuilder.PropertyOptionsModeSingleSelectInputConfigurator<T,D extends DatastoreDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,D>,C extends OptionsModeSingleSelectInputBuilder.PropertyOptionsModeSingleSelectInputConfigurator<T,D,C>>
      extends OptionsModeSingleSelectInputBuilder<T,com.holonplatform.core.property.PropertyBox,C>, HasPropertyBoxDatastoreDataProviderConfigurator<D,C>, PropertySelectInputConfigurator<T,T,C>

  `Property` model based `SingleSelect` input configurator for the options rendering mode.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.OptionsModeSingleSelectInputBuilder

      `OptionsModeSingleSelectInputBuilder.DatastoreItemOptionsModeSingleSelectInputBuilder<T,ITEM>, OptionsModeSingleSelectInputBuilder.DatastoreItemOptionsModeSingleSelectInputConfigurator<T,ITEM,C extends OptionsModeSingleSelectInputBuilder.DatastoreItemOptionsModeSingleSelectInputConfigurator<T,ITEM,C>>, OptionsModeSingleSelectInputBuilder.DatastorePropertyOptionsModeSingleSelectInputBuilder<T>, OptionsModeSingleSelectInputBuilder.DatastorePropertyOptionsModeSingleSelectInputConfigurator<T,C extends OptionsModeSingleSelectInputBuilder.DatastorePropertyOptionsModeSingleSelectInputConfigurator<T,C>>, OptionsModeSingleSelectInputBuilder.ItemOptionsModeSingleSelectInputBuilder<T,ITEM>, OptionsModeSingleSelectInputBuilder.ItemOptionsModeSingleSelectInputConfigurator<T,ITEM,D extends DatastoreDataProviderConfigurator<ITEM,D>,C extends OptionsModeSingleSelectInputBuilder.ItemOptionsModeSingleSelectInputConfigurator<T,ITEM,D,C>>, OptionsModeSingleSelectInputBuilder.PropertyOptionsModeSingleSelectInputBuilder<T>, OptionsModeSingleSelectInputBuilder.PropertyOptionsModeSingleSelectInputConfigurator<T,D extends DatastoreDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,D>,C extends OptionsModeSingleSelectInputBuilder.PropertyOptionsModeSingleSelectInputConfigurator<T,D,C>>, OptionsModeSingleSelectInputBuilder.ValidatableDatastoreItemOptionsModeSingleSelectInputBuilder<T,ITEM>, OptionsModeSingleSelectInputBuilder.ValidatableDatastorePropertyOptionsModeSingleSelectInputBuilder<T>, OptionsModeSingleSelectInputBuilder.ValidatableItemOptionsModeSingleSelectInputBuilder<T,ITEM>, OptionsModeSingleSelectInputBuilder.ValidatablePropertyOptionsModeSingleSelectInputBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemSetConfigurator

      `ItemSetConfigurator.ItemCaptionGenerator<ITEM>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `D` | `dataSource(com.holonplatform.core.datastore.Datastore datastore, com.holonplatform.core.datastore.DataTarget<?> target)` Set the data provider which acts as items data source, using given `Datastore` as backend data handler, given `DataTarget` as query target.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.OptionsModeSingleSelectInputBuilder

      `create, create, create, create, dataSource, itemCaption, itemCaption, itemCaption, itemCaptionGenerator, itemEnabledProvider, renderer`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.SelectableInputConfigurator

      `withSelectionListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `label, label, label`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPropertyBoxDatastoreDataProviderConfigurator

      `dataSource, dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDataProviderConfigurator

      `addItem, dataSource, items, items`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.PropertySelectInputConfigurator

      `itemCaptionProperty`

- - ### Method Detail

    - #### dataSource

          D dataSource(com.holonplatform.core.datastore.Datastore datastore,
                       com.holonplatform.core.datastore.DataTarget<?> target)

      Set the data provider which acts as items data source, using given `Datastore` as backend data handler, given `DataTarget` as query target.

      The query projection property set will be represented by the selection property only.

      Parameters:
        `datastore` - The `Datastore` to use (not null)
        `target` - The `DataTarget` to use as query target (not null)
      Returns:
        An extended builder which allow further data provider configuration, for example to add fixed `QueryFilter` and `QuerySort`.
      See Also:
        `DatastoreDataProviderConfigurator`

Copyright © 2019 The Holon Platform. All rights reserved.